Gecode::BranchTraits< IntVar > Class Reference

Traits of IntVar for branching. More...

`#include <traits.hpp>`

## Public Types

typedef IntBranchFilter | Filter
| Type for the branching filter function.
typedef IntBranchMerit | Merit
| Type for the branching merit function.
typedef IntBranchVal | Val
| Type for the branching value function.
typedef int | ValType
| Return type of the branching value function.
typedef IntBranchCommit | Commit
| Type for the branching commit function.

## Detailed Description

Traits of IntVar for branching.

Definition at line 38 of file traits.hpp.

## Member Typedef Documentation

## Filter

typedef IntBranchFilter Gecode::BranchTraits< IntVar >::Filter

Type for the branching filter function.

Definition at line 41 of file traits.hpp.

## Merit

typedef IntBranchMerit Gecode::BranchTraits< IntVar >::Merit

Type for the branching merit function.

Definition at line 43 of file traits.hpp.

## Val

typedef IntBranchVal Gecode::BranchTraits< IntVar >::Val

Type for the branching value function.

Definition at line 45 of file traits.hpp.

## ValType

typedef int Gecode::BranchTraits< IntVar >::ValType

Return type of the branching value function.

Definition at line 47 of file traits.hpp.

## Commit

typedef IntBranchCommit Gecode::BranchTraits< IntVar >::Commit

Type for the branching commit function.

Definition at line 49 of file traits.hpp.

The documentation for this class was generated from the following file:

- gecode/int/branch/traits.hpp